Subject: bug#46461: closed (Re: bug#46461: [core-updates] fldigi missing source tarball)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 12 Feb 2021 13:32:01 +0000

Your bug report

#46461: [core-updates] fldigi missing source tarball

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46461: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46461
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46461: [core-updates] fldigi missing source tarball
From: Guillaume Le Vaillant <[email-masked]>
To: Danny Milosavljevic <[email-masked]>
Cc: [email-masked]
Date: Fri, 12 Feb 2021 14:31:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Danny Milosavljevic <[email-masked]> skribis:

> building /gnu/store/h293gw17xn750v7sbhxrjkrq99h4mbn3-fldigi-4.1.17.tar.gz.drv...
>
> Starting download of /gnu/store/7y7xa4ks27s0i77bcllxypakl2fcivlv-fldigi-4.1.17.tar.gz
> From http://www.w1hkj.com/files/fldigi/fldigi-4.1.17.tar.gz...
> download failed "http://www.w1hkj.com/files/fldigi/fldigi-4.1.17.tar.gz" 404 "Not Found"
>
> [...]
>
> I've checked upstream, http://www.w1hkj.com/files/fldigi/ , they have only a fldigi 4.1.18 tarball.
>
> The git repository I could find, https://github.com/w1hkj/fldigi , has only tags
> up to 4.1.14.
>
> So if we used git (and thus swh) instead, we could only carry version 4.1.14.
> As it is now, upstream removing tarballs from their website will randomly break
> the build of the guix derivation--as it did here.

The git repository on Sourceforge has all the tags. I pushed a fix as
65e9f13116edc58836cdbd1da60bfb81a3d58c82 to use it instead of the
tarballs.

Subject: [core-updates] fldigi missing source tarball
From: Danny Milosavljevic <[email-masked]>
To: <[email-masked]>
Date: Fri, 12 Feb 2021 11:43:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

building /gnu/store/h293gw17xn750v7sbhxrjkrq99h4mbn3-fldigi-4.1.17.tar.gz.drv...

Starting download of /gnu/store/7y7xa4ks27s0i77bcllxypakl2fcivlv-fldigi-4.1.17.tar.gz
From http://www.w1hkj.com/files/fldigi/fldigi-4.1.17.tar.gz...
download failed "http://www.w1hkj.com/files/fldigi/fldigi-4.1.17.tar.gz" 404 "Not Found"

Starting download of /gnu/store/7y7xa4ks27s0i77bcllxypakl2fcivlv-fldigi-4.1.17.tar.gz
From https://ci.guix.gnu.org/file/fldigi-4.1.17.tar.gz/sha256/1gzff60sn3h05279f9mdi1rkdws52m28shcil16911lvlq6ki13m...
download failed "https://ci.guix.gnu.org/file/fldigi-4.1.17.tar.gz/sha256/1gzff60sn3h05279f9mdi1rkdws52m28shcil16911lvlq6ki13m" 404 "Not Found"

Starting download of /gnu/store/7y7xa4ks27s0i77bcllxypakl2fcivlv-fldigi-4.1.17.tar.gz
From https://tarballs.nixos.org/sha256/1gzff60sn3h05279f9mdi1rkdws52m28shcil16911lvlq6ki13m...
download failed "https://tarballs.nixos.org/sha256/1gzff60sn3h05279f9mdi1rkdws52m28shcil16911lvlq6ki13m" 404 "Not Found"

Starting download of /gnu/store/7y7xa4ks27s0i77bcllxypakl2fcivlv-fldigi-4.1.17.tar.gz
From https://archive.softwareheritage.org/api/1/content/sha256:7584380da69b86904ca091418d441545f3367388ad26978e28000eab8171eebf/raw/...
download failed "https://archive.softwareheritage.org/api/1/content/sha256:7584380da69b86904ca091418d441545f3367388ad26978e28000eab8171eebf/raw/" 404 "Not Found"
failed to download "/gnu/store/7y7xa4ks27s0i77bcllxypakl2fcivlv-fldigi-4.1.17.tar.gz" from "http://www.w1hkj.com/files/fldigi/fldigi-4.1.17.tar.gz"
builder for `/gnu/store/h293gw17xn750v7sbhxrjkrq99h4mbn3-fldigi-4.1.17.tar.gz.drv' failed to produce output path `/gnu/store/7y7xa4ks27s0i77bcllxypakl2fcivlv-fldigi-4.1.17.tar.gz'
build of /gnu/store/h293gw17xn750v7sbhxrjkrq99h4mbn3-fldigi-4.1.17.tar.gz.drv failed
View build log at '/var/log/guix/drvs/h2/93gw17xn750v7sbhxrjkrq99h4mbn3-fldigi-4.1.17.tar.gz.drv.bz2'.
cannot build derivation `/gnu/store/s198vcga2bcplr3pjpqnd9ads786m5xr-fldigi-4.1.17.drv': 1 dependencies couldn't be built

I've checked upstream, http://www.w1hkj.com/files/fldigi/ , they have only a fldigi 4.1.18 tarball.

The git repository I could find, https://github.com/w1hkj/fldigi , has only tags
up to 4.1.14.

So if we used git (and thus swh) instead, we could only carry version 4.1.14.
As it is now, upstream removing tarballs from their website will randomly break
the build of the guix derivation--as it did here.